
Core - Feature # 51454

Task # 49162 (Resolved): Rewrite install tool

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Install Tool
Created: 2013-08-28 Assigned To:
Updated: 2013-09-10 Due date:
PHP Version: 5.4
Complexity: hard
Sprint Focus:
Subject: Install tool configuration system
Description

Related issues:
related to Core - Feature # 51271: Reportsmodule add test for Bug in LibXML Resolved 2013-08-22
related to Core - Task # 49953: Disable DeprecationLog by default Closed 2013-07-11
related to Core - Feature # 50131: Load context specific configuration files Closed 2013-07-17

Associated revisions
Revision 92e5e6c5 - 2013-09-10 15:18 - Christian Kuhn

[TASK] Install tool configuration system

The patch implements a "configuration system" to the install tool
that bundles several settings to enable them on click
depending on system capabilities.

A "feature" is represented by a set of configuration options that
are filled by different presets. Presets have a priority, the
best preset is the first one. Presets can be available or
not available and active or not. For example the "image handling" 
feature has the presets "GraphicsMagick" and "ImageMagick 6" and
a "Custom" preset if the others do not fit.

This first patch implements "Charset conversion", "Image handling",
"Development / Production" and "Extbase object cache" settings.

During installation the available preset with highest priority
are configured.

Change-Id: I7304ef001717989720924e7ae03951eb3874adfd
Resolves: #51454
Releases: 6.2
Reviewed-on: https://review.typo3.org/23321
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
History
#1 - 2013-08-28 14:28 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23321

#2 - 2013-08-31 14:57 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23321

#3 - 2013-08-31 17:05 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23321

#4 - 2013-08-31 19:23 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23321

#5 - 2013-08-31 19:45 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23321

#6 - 2013-08-31 21:33 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23321

#7 - 2013-08-31 22:43 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23321

#8 - 2013-09-08 02:44 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23321

#9 - 2013-09-08 14:39 - Gerrit Code Review
Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23321

#10 - 2013-09-08 15:11 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23321

#11 - 2013-09-08 15:31 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23321

#12 - 2013-09-08 20:55 - Gerrit Code Review

Patch set 13 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23321

#13 - 2013-09-09 19:51 - Gerrit Code Review

Patch set 14 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23321

#14 - 2013-09-10 15:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:92e5e6c5c6fcb49ba49209afb91bd2592b5ba93d.
